هذا الموضوع يحتوي على 4 ردود و 3 مشاركون وتمّ تحديثه آخر مرة بواسطة  egprogrammer قبل 6 سنوات، 1 شهر.

أضف رد جديد
الحالة: بحاجة لحل
  • منشئ
    موضوع
  • #16773

    Ibrahim Elaidy
    Participant

    السلام عليكم ,,,

    من خلال تحليلي لمشاكل الوردبريس التي واجهتها … وجدت ان 50% او اكثر سببها استضافة الموقع نفسها ..
    من الممكن ان يكون يكون السيرفر ذو امكانيات ضعيفة او به اعطال او الاعدادات سيئة … او غالبا يقوم المستضيف بغلق دوال بحجة الحماية و الامان و تتسبب في العديد من المشاكل او التضييقات علي استخدامك ..

    الاستضافة الجيدة تمثل 70% من الاستخدام الاسهل للوردبريس وستختلف الامور معك تماما ..
    كانت لي تجربة مريرة منذ عدة سنوات حينما قررت استخدام الوردبريس لاول مرة .. كان العملية صعبة جدا لاني اضطر الي رفع كل شيء يدويا ( القالب – الاضافات – الترقية – صور الموضوع ) .. يجب تعديل التراخيص للكثير من الملفات والمجلدات كي تستطيع العمل – لا استطيع تعديل الملفات من خلال لوحة التحكم( عن طريق FTP فقط ) … 40% من القوالب والاضافات لا تعمل عندي وكانت تنتج لي مشاكل كثيرة …
    وقتها كرهت الوردبريس بشدة و عدم التعامل به مطلقا لولا ان اخبرني صديق عزيز انه قام بتغيير الاستضافة .. وقتها تغيرت الامور 180 درجة واصبحت من عشاق هذا الاسكربت واصبح 80% من مواقعي ومواقع عملائي من الوردبريس !

    لذلك ساطرح عليك بعض النصائح المبدئية قبل حجز استضافتك ..

    الوردبريس معروف انه سكربت خفيف ويعمل علي اغلب الاستضافات … بالاضافة الي ان اغلب الاستضافات العربية والاجنبية تطورت كثيرا عما قبل
    ولكن طالما انت ستدفع نقود فمن حقك ان تختار الاستضافة التي تحقق لك الراحة والسهولة .. اليس كذلك ؟
    يفضل ان تسأل مستضيفك عن هذه المتطلبات قبل ان تقرر حجز استضافتك وسأعمل ان شاء الله علي تحديثها ..

    المتطلبات للاصدار الحالي 3.6.1 بتاريخ 9 اكتوبر 2013

    .
    .
    .

    اولا متطلبات ضرورية ( لن يعمل الوردبريس بدونها )

    PHP 5.2.4 or greater
    MySQL 5.0 or greater
    The mod_rewrite Apache module

    ———————————————————————————————-

    ثانيا متطلبات ضرورية ( لضمان استخدام افضل للووردبريس)

    ان تتضمن اعدادات السيرفر الاتي :

    safe_mode = Off
    safe_mode_gid = Off
    safe_mode_include_dir =
    safe_mode_exec_dir =
    safe_mode_allowed_env_vars = PHP_
    expose_php = Off
    error_reporting = E_ALL
    display_errors = Off
    display_startup_errors = Off
    log_errors = On
    log_errors_max_len = 1024
    ignore_repeated_errors = Off
    ignore_repeated_errors = Off
    ignore_repeated_source = Off
    report_memleaks = On
    register_globals = Off
    register_long_arrays = Off
    register_argc_argv = Off
    auto_globals_jit = On
    magic_quotes_gpc = Off
    magic_quotes_runtime = Off
    magic_quotes_sybase = Off
    auto_prepend_file =
    auto_append_file =
    default_mimetype = “text/html”
    allow_url_fopen = On
    allow_url_include = Off
    sql.safe_mode = Off

    ———————————————————————————————-

    ثالثا: متطلبات اختيارية ( مطلوبة لبعض القوالب والاضافات المعروفة)

    cURL
    mcrypt
    DOM
    JSON
    GD
    FTP
    Hash
    iconv
    pear
    class PHPMailer
    SimpleXML
    XML Parser
    Zlib

    =====================================

    المتطلبات تم جمعها في ملف نصي في المرفقات ,,

    لاي اقترحات يرجي كتابتها في الردود ,,

    الملفات المرفقة:
    1. WP-req.rar
    ربما تحتاج خدمات ووردبريس مدفوعة؟ ندعوك لزيارة عرب ووردبريس بريميوم - الفرع التجاري الرسمي لموقع عرب ووردبريس.

الوسوم: ,

مشاهدة 4 ردود - 1 حتى 4 (من مجموع 4)
  • الكاتب
    الردود
  • #16777

    موضوع جميل، و أقترح أن يُكتب في المدونة 🙂

    بالنسبة لإصدار الـ PHP دائماً ما أنصح العملاء بالمطالبة بالإصدار 5.3 أو أعلى نظراً لأن الكثير من المطورين بدؤوا بإعتماد هذا الإصدار (منهم أنا) و قد تعتمده الووردبريس في الإصدارات القادمة القريبة، هذا بالإضافة إلى أنه أكثر أماناً و سرعة.

    ايضاً بالنسبة لمكتبات الـ PHP (مستحسنة) :
    SPL
    Date/Time
    POSIX Regex
    Filter
    libxml
    Multibyte String
    MySQL
    OpenSSL
    PCRE
    Sockets
    Tokenizer
    XMLReader
    ImageMagick

    مكتبات من المستحسن تركيبها من أجل ووردبريس 3.8 (ستصدر في بداية 2014):
    MySQLi
    PDO

    للإستخدامات المتقدمة، يتم تركيب مكتبات إضافية مثل:
    Memcache
    APC

    #16778

    اخي @pioneer رقيت حسابك إلى “مُساهم” في مدونة عرب ووردبريس، بإمكانك إرسال تدويناتك في أي وقت.

    #16779

    كانت لي تجربة مريرة منذ عدة سنوات حينما قررت استخدام الوردبريس لاول مرة .. كان العملية صعبة جدا لاني اضطر الي رفع كل شيء يدويا ( القالب – الاضافات – الترقية – صور الموضوع ) .. يجب تعديل التراخيص للكثير من الملفات والمجلدات كي تستطيع العمل – لا استطيع تعديل الملفات من خلال لوحة التحكم( عن طريق FTP فقط ) … 40% من القوالب والاضافات لا تعمل عندي وكانت تنتج لي مشاكل كثيرة …

    نعم،هذه المشاكل موجودة في الغالب في شركات الإستضافة المشتركة التي تستخدم إعدادات خاطئة.

    #16794

    egprogrammer
    Participant

    موضوع متميز .. وفعلا بداية النجاح مع اي سكريبت مهما كان ” اختيار استضافه جيده ” تفي بمتطلبات الاسكريبت .

مشاهدة 4 ردود - 1 حتى 4 (من مجموع 4)

يجب تسجيل الدخول للرد على هذا الموضوع.

الحالة: بحاجة لحل